public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/opam-format/
Date: Fri,  3 Mar 2023 21:16:01 +0000 (UTC)	[thread overview]
Message-ID: <1677876408.0ef680e87c67db39b4ab31811153a9f8461daae6.tupone@gentoo> (raw)

commit:     0ef680e87c67db39b4ab31811153a9f8461daae6
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  3 20:36:43 2023 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Mar  3 20:46:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ef680e8

dev-ml/opam-format: add 2.1.3

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/opam-format/Manifest                 |  1 +
 dev-ml/opam-format/opam-format-2.1.3.ebuild | 53 +++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-ml/opam-format/Manifest b/dev-ml/opam-format/Manifest
index 9c8e7ed9b794..13cb1b80d395 100644
--- a/dev-ml/opam-format/Manifest
+++ b/dev-ml/opam-format/Manifest
@@ -2,3 +2,4 @@ DIST opam-2.0.10.tar.gz 641739 BLAKE2B 7cd201fe6bed2ae81fc8d9d0a7063b284621e5797
 DIST opam-2.0.9.tar.gz 644429 BLAKE2B d96ee79685a8ee8ff82c7570a747c80e38d86e513736a27904a4e471d1eaf432db72998251ac786cb8fbf1ad425fff42b772c5d26934e0929aae75c0946d4659 SHA512 0d8ee19ac0f3df9de4fd9cfa8daab1f7228f090f5e2e7e26bedf24d8c2ab377aade95048f2d7cd9ee9dbbe738729e26dc99f41f730fa2252df74953362464a22
 DIST opam-2.1.0-dose3-6.patch.xz 5896 BLAKE2B f605064ebae7d327895729962a345a3c679519895aa2568f0c2d199d4ba9d6ae948a4fc418cfd26cc65079eb6ef3545f24a35e08c969d215529664a80d0c9147 SHA512 e00da74d7baef62319e884e3a05112bcf86a02d887c274bd15fb0d15bb8198e9a37a421f388bec3fce198e7a1b4d37024b18609dc65978c6ee8a7889df9bd608
 DIST opam-2.1.2.tar.gz 818848 BLAKE2B ffb50f3cf1421aa9bff6877d636a3d1d1cc2c2e3961ecd60fcae8a35b069c8d22e7a36bf17cb8166533621a3c85a82195fd3fa646b2fd8dcea9e626b61d5b86c SHA512 bea6f75728a6ef25bcae4f8903dde7a297df7186208dccacb3f58bd6a0caec551c11b79e8544f0983feac038971dbe49481fc405a5962973a5f56ec811abe396
+DIST opam-2.1.3.tar.gz 832450 BLAKE2B c5e50c0a41b7197bc7645eaef0d8cba79c978b4432fc824aa6a4280df65ec7d59df52a22b76877da4949c8562a5fecb8da2a179ca67bd312bf9a514961bf4444 SHA512 040e4f58f93e962ff422617ce0d35ed45dd86921a9aac3505914c33dd942d0e5e5771e7e1774046504f9aa84f32bc4fbd6ac7720fbea862d48bf1ca29e02cefc

diff --git a/dev-ml/opam-format/opam-format-2.1.3.ebuild b/dev-ml/opam-format/opam-format-2.1.3.ebuild
new file mode 100644
index 000000000000..2c8236e84329
--- /dev/null
+++ b/dev-ml/opam-format/opam-format-2.1.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# We are opam
+OPAM_INSTALLER_DEP=" "
+inherit dune
+
+DESCRIPTION="Core libraries for opam"
+HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/dev-ml/opam/opam-2.1.0-dose3-6.patch.xz"
+S="${WORKDIR}/opam-${PV}"
+OPAM_INSTALLER="${S}/opam-installer"
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="+ocamlopt test"
+RESTRICT="test" #sandbox not working
+
+RDEPEND="
+	~dev-ml/opam-core-${PV}:=
+	dev-ml/re:=
+	dev-ml/opam-file-format:=
+	>=dev-ml/dose3-6.0:=
+	dev-ml/mccs:=
+"
+DEPEND="${RDEPEND}
+	dev-ml/cppo"
+BDEPEND="test? (
+	sys-apps/bubblewrap
+)"
+
+PATCHES=( "${WORKDIR}"/opam-2.1.0-dose3-6.patch )
+
+src_prepare() {
+	default
+	cat <<- EOF >> "${S}/dune"
+		(env
+		 (dev
+		  (flags (:standard -warn-error -3-9-33)))
+		 (release
+		  (flags (:standard -warn-error -3-9-33))))
+	EOF
+	sed -i \
+		-e '/wrap-build-commands/d' \
+		-e '/wrap-install-commands/d' \
+		-e '/wrap-remove-commands/d' \
+		tests/reftests/opamroot-versions.test \
+		|| die
+}


             reply	other threads:[~2023-03-03 21:16 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-03 21:16 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-19 17:25 [gentoo-commits] repo/gentoo:master commit in: dev-ml/opam-format/ Alfredo Tupone
2024-07-15  9:59 Alfredo Tupone
2024-01-19 23:08 Ionen Wolkens
2023-12-22  5:07 Sam James
2023-05-13 19:46 Alfredo Tupone
2023-02-23 23:38 Sam James
2022-11-19 10:34 Arthur Zamarin
2022-11-19 10:34 Arthur Zamarin
2022-11-19 10:34 Arthur Zamarin
2022-09-18  0:37 Sam James
2022-09-18  0:37 Sam James
2022-07-23 23:52 Sam James
2022-02-20 20:53 Alfredo Tupone
2022-01-31 20:45 Alfredo Tupone
2022-01-18 12:24 Sam James
2022-01-16 19:05 Alfredo Tupone
2022-01-13 20:25 Arthur Zamarin
2022-01-13  6:34 Sam James
2022-01-11  0:45 Sam James
2022-01-10 20:07 Arthur Zamarin
2022-01-10 19:56 Arthur Zamarin
2021-12-19 11:02 Sam James
2021-11-06  3:40 Sam James
2021-11-06  3:36 Sam James
2021-11-06  3:36 Sam James
2021-10-03  9:58 Alfredo Tupone
2021-10-02 19:16 Sam James
2021-10-02 19:16 Sam James
2021-10-02 19:16 Sam James
2021-10-01 18:08 Alfredo Tupone
2021-07-28  2:38 Sam James
2021-07-28  1:48 Sam James
2021-06-08  4:12 Sam James
2021-03-14  0:48 Sam James
2021-03-13 14:05 Sam James
2021-03-04 14:28 Agostino Sarubbo
2021-02-25 17:54 Sam James
2021-02-25 13:09 Sam James
2021-02-11  6:31 Sam James
2021-02-11  6:26 Sam James
2021-02-10 18:53 Sam James
2021-02-10 16:33 Sam James
2021-02-09 22:47 Sam James
2021-02-09 19:56 Sam James
2021-02-08 17:21 Sam James
2021-02-08 17:21 Sam James
2021-01-27 19:22 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1677876408.0ef680e87c67db39b4ab31811153a9f8461daae6.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox